summaryrefslogtreecommitdiffstats
path: root/source/a/isapnptools/isapnptools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/isapnptools/isapnptools.SlackBuild')
-rwxr-xr-xsource/a/isapnptools/isapnptools.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/source/a/isapnptools/isapnptools.SlackBuild b/source/a/isapnptools/isapnptools.SlackBuild
new file mode 100755
index 000000000..38362878b
--- /dev/null
+++ b/source/a/isapnptools/isapnptools.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=`pwd`
+TMP=/tmp
+PKG=$TMP/package-isapnptools
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+
+# sanity check
+if [ "$( uname -m )" = "x86_64" ]; then
+ echo "isapnptools is not supported on x86_64"
+ exit 1
+fi
+
+VERSION=${VERSION:-1.26}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+
+tar xzvf $CWD/isapnptools-$VERSION.tar.gz || exit 1
+cd isapnptools-$VERSION
+
+zcat $CWD/isapnptools_1.26-5.diff.xz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
+./configure --prefix=/usr
+make -j4 || exit 1
+( cd src
+ strip isapnp pnpdump
+ mkdir -p $PKG/sbin
+ cat isapnp > $PKG/sbin/isapnp
+ cat pnpdump > $PKG/sbin/pnpdump
+ chmod 755 $PKG/sbin/* )
+mkdir -p $PKG/etc
+( cd etc
+ mkdir -p $PKG/etc
+ cat isapnp.conf > $PKG/etc/isapnp.conf.sample
+ cat isapnp.gone > $PKG/etc/isapnp.gone.sample )
+( cd doc
+ mkdir -p $PKG/usr/man/man5
+ cat isapnp.conf.5 | gzip -9c > $PKG/usr/man/man5/isapnp.conf.5.gz
+ mkdir -p $PKG/usr/man/man8
+ cat isapnp.8 | gzip -9c > $PKG/usr/man/man8/isapnp.8.gz
+ cat pnpdump.8 | gzip -9c > $PKG/usr/man/man8/pnpdump.8.gz )
+mkdir -p $PKG/usr/doc/isapnptools-$VERSION
+cp -a AUTHORS CHANGES COPYING INSTALL README isapnp.lsm doc/isapnpfaq.txt doc/README.ide doc/README.initrd $PKG/usr/doc/isapnptools-$VERSION
+chown -R root:root $PKG/usr/doc/isapnptools-$VERSION
+chmod 644 $PKG/usr/doc/isapnptools-$VERSION/*
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -c n -l y $TMP/isapnptools-$VERSION-$ARCH-$BUILD.txz
+